All Collections
Known Issues
TrustVault Metamask <> Brave/Chrome
TrustVault Metamask <> Brave/Chrome
Support Lead avatar
Written by Support Lead
Updated over a week ago

We have identified an issue with both Brave and Chrome following a recent update.

Please note that TrustVault for MetaMask is currently not working on the latest versions ie Chrome version: 125.x or Brave version 1.66.x

We have tested TrustVault in the latest version of Vivaldi (6.7.3329.31) and confirmed it is working. It is also possible to turn OFF automatic updates with Vivaldi.

If you are unable to use Trustvault MM extension as your Chrome or Brave browsers have automatically updated, we recommend downloading and installing Vivaldi or reverting to previous working versions of Chrome or Brave.

To download a working version for Brave browser please use the link below

Did this answer your question?